'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgOutdoorGrill = function SvgOutdoorGrill(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "M10.41 7h-1c.312-1.256-.142-1.722-.389-1.976L8.96 4.96C8.1 4.05 7.86 3.11 8.07 2h.99c-.215 1.239.027 1.526.43 2.003l.03.037c1.106 1.304 1.042 1.798.896 2.918zM20 19c0 1.66-1.34 3-3 3-1.3 0-2.4-.84-2.82-2.01H7.84l-1 1.55a1 1 0 0 1-1.38.29 1 1 0 0 1-.29-1.38l3.95-6.08A6.99 6.99 0 0 1 5 8h14c0 2.84-1.69 5.27-4.11 6.37l.6.93c-.64.26-1.18.68-1.6 1.21l-1.02-1.57a6.4 6.4 0 0 1-1.74 0L9.14 18h5.04c.42-1.16 1.52-2 2.82-2 1.66 0 3 1.34 3 3m-2 0c0-.55-.45-1-1-1s-1 .45-1 1 .45 1 1 1 1-.45 1-1M11.89 7h1l.005-.042c.147-1.12.211-1.614-.895-2.918l-.024-.028c-.406-.483-.652-.776-.436-2.012h-.99c-.21 1.11.03 2.05.89 2.96l.056.057c.253.252.718.715.394 1.983m3.52 0h-1c.312-1.256-.142-1.722-.389-1.976l-.061-.064c-.86-.91-1.1-1.85-.89-2.96h.99c-.215 1.239.027 1.526.43 2.003l.03.037c1.106 1.304 1.042 1.798.896 2.918z",
    clipRule: "evenodd"
  })));
};

exports.ReactComponent = SvgOutdoorGrill;
